// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.21.9
// source: com/ruijc/storage/protocol/file.proto

package protocol

import (
	file "gitlab.com/ruijc/storage/core/file"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_com_ruijc_storage_protocol_file_proto protoreflect.FileDescriptor

var file_com_ruijc_storage_protocol_file_proto_rawDesc = []byte{
	0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x2f, 0x66, 0x69, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1a, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x63, 0x6f, 0x6c, 0x1a, 0x27, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65,
	0x2f, 0x61, 0x62, 0x6f, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2a, 0x63, 0x6f,
	0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f,
	0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65,
	0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x28, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75,
	0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65,
	0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x25, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74,
	0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f,
	0x67, 0x65, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2a, 0x63, 0x6f, 0x6d, 0x2f, 0x72,
	0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72,
	0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x74, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x29, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63,
	0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69,
	0x6c, 0x65, 0x2f, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x25, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x75, 0x72,
	0x6c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x26, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f,
	0x66, 0x69, 0x6c, 0x65, 0x2f, 0x75, 0x72, 0x6c, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x25, 0x63, 0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2f, 0x75, 0x73, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x32, 0xad, 0x06, 0x0a, 0x04, 0x46, 0x69, 0x6c, 0x65, 0x12,
	0x60, 0x0a, 0x08, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x74, 0x65, 0x12, 0x28, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61,
	0x74, 0x65, 0x52, 0x65, 0x71, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a,
	0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66,
	0x69, 0x6c, 0x65, 0x2e, 0x49, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x74, 0x65, 0x52, 0x73, 0x70, 0x22,
	0x00, 0x12, 0x51, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72,
	0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72,
	0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52, 0x65, 0x71, 0x1a, 0x23, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x52,
	0x73, 0x70, 0x22, 0x00, 0x12, 0x57, 0x0a, 0x05, 0x41, 0x62, 0x6f, 0x72, 0x74, 0x12, 0x25, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x41, 0x62, 0x6f, 0x72,
	0x74, 0x52, 0x65, 0x71, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69,
	0x6c, 0x65, 0x2e, 0x41, 0x62, 0x6f, 0x72, 0x74, 0x52, 0x73, 0x70, 0x22, 0x00, 0x12, 0x60, 0x0a,
	0x08, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f,
	0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65,
	0x52, 0x65, 0x71, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c,
	0x65, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x73, 0x70, 0x22, 0x00, 0x12,
	0x51, 0x0a, 0x03, 0x55, 0x73, 0x65, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e,
	0x66, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x73, 0x65, 0x52, 0x65, 0x71, 0x1a, 0x23, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x73, 0x65, 0x52, 0x73, 0x70,
	0x22, 0x00, 0x12, 0x5d, 0x0a, 0x07, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x12, 0x27, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65,
	0x61, 0x73, 0x65, 0x52, 0x65, 0x71, 0x1a, 0x27, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69,
	0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e,
	0x66, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x52, 0x73, 0x70, 0x22,
	0x00, 0x12, 0x51, 0x0a, 0x03, 0x55, 0x72, 0x6c, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72,
	0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72,
	0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x72, 0x6c, 0x52, 0x65, 0x71, 0x1a, 0x23, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x72, 0x6c, 0x52,
	0x73, 0x70, 0x22, 0x00, 0x12, 0x54, 0x0a, 0x04, 0x55, 0x72, 0x6c, 0x73, 0x12, 0x24, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x55, 0x72, 0x6c, 0x73, 0x52,
	0x65, 0x71, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65,
	0x2e, 0x55, 0x72, 0x6c, 0x73, 0x52, 0x73, 0x70, 0x22, 0x00, 0x12, 0x5a, 0x0a, 0x06, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69,
	0x6c, 0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x52, 0x65, 0x71, 0x1a, 0x26, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x52, 0x73, 0x70, 0x22, 0x00, 0x42, 0x4a, 0x0a, 0x1a, 0x63, 0x6f, 0x6d, 0x2e, 0x72, 0x75,
	0x69, 0x6a, 0x63, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x63, 0x6f, 0x6c, 0x50, 0x01, 0x5a, 0x2a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x72, 0x75, 0x69, 0x6a, 0x63, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x3b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6c, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_com_ruijc_storage_protocol_file_proto_goTypes = []interface{}{
	(*file.InitiateReq)(nil), // 0: com.ruijc.storage.core.file.InitiateReq
	(*file.GetReq)(nil),      // 1: com.ruijc.storage.core.file.GetReq
	(*file.AbortReq)(nil),    // 2: com.ruijc.storage.core.file.AbortReq
	(*file.CompleteReq)(nil), // 3: com.ruijc.storage.core.file.CompleteReq
	(*file.UseReq)(nil),      // 4: com.ruijc.storage.core.file.UseReq
	(*file.ReleaseReq)(nil),  // 5: com.ruijc.storage.core.file.ReleaseReq
	(*file.UrlReq)(nil),      // 6: com.ruijc.storage.core.file.UrlReq
	(*file.UrlsReq)(nil),     // 7: com.ruijc.storage.core.file.UrlsReq
	(*file.DeleteReq)(nil),   // 8: com.ruijc.storage.core.file.DeleteReq
	(*file.InitiateRsp)(nil), // 9: com.ruijc.storage.core.file.InitiateRsp
	(*file.GetRsp)(nil),      // 10: com.ruijc.storage.core.file.GetRsp
	(*file.AbortRsp)(nil),    // 11: com.ruijc.storage.core.file.AbortRsp
	(*file.CompleteRsp)(nil), // 12: com.ruijc.storage.core.file.CompleteRsp
	(*file.UseRsp)(nil),      // 13: com.ruijc.storage.core.file.UseRsp
	(*file.ReleaseRsp)(nil),  // 14: com.ruijc.storage.core.file.ReleaseRsp
	(*file.UrlRsp)(nil),      // 15: com.ruijc.storage.core.file.UrlRsp
	(*file.UrlsRsp)(nil),     // 16: com.ruijc.storage.core.file.UrlsRsp
	(*file.DeleteRsp)(nil),   // 17: com.ruijc.storage.core.file.DeleteRsp
}
var file_com_ruijc_storage_protocol_file_proto_depIdxs = []int32{
	0,  // 0: com.ruijc.storage.protocol.File.Initiate:input_type -> com.ruijc.storage.core.file.InitiateReq
	1,  // 1: com.ruijc.storage.protocol.File.Get:input_type -> com.ruijc.storage.core.file.GetReq
	2,  // 2: com.ruijc.storage.protocol.File.Abort:input_type -> com.ruijc.storage.core.file.AbortReq
	3,  // 3: com.ruijc.storage.protocol.File.Complete:input_type -> com.ruijc.storage.core.file.CompleteReq
	4,  // 4: com.ruijc.storage.protocol.File.Use:input_type -> com.ruijc.storage.core.file.UseReq
	5,  // 5: com.ruijc.storage.protocol.File.Release:input_type -> com.ruijc.storage.core.file.ReleaseReq
	6,  // 6: com.ruijc.storage.protocol.File.Url:input_type -> com.ruijc.storage.core.file.UrlReq
	7,  // 7: com.ruijc.storage.protocol.File.Urls:input_type -> com.ruijc.storage.core.file.UrlsReq
	8,  // 8: com.ruijc.storage.protocol.File.Delete:input_type -> com.ruijc.storage.core.file.DeleteReq
	9,  // 9: com.ruijc.storage.protocol.File.Initiate:output_type -> com.ruijc.storage.core.file.InitiateRsp
	10, // 10: com.ruijc.storage.protocol.File.Get:output_type -> com.ruijc.storage.core.file.GetRsp
	11, // 11: com.ruijc.storage.protocol.File.Abort:output_type -> com.ruijc.storage.core.file.AbortRsp
	12, // 12: com.ruijc.storage.protocol.File.Complete:output_type -> com.ruijc.storage.core.file.CompleteRsp
	13, // 13: com.ruijc.storage.protocol.File.Use:output_type -> com.ruijc.storage.core.file.UseRsp
	14, // 14: com.ruijc.storage.protocol.File.Release:output_type -> com.ruijc.storage.core.file.ReleaseRsp
	15, // 15: com.ruijc.storage.protocol.File.Url:output_type -> com.ruijc.storage.core.file.UrlRsp
	16, // 16: com.ruijc.storage.protocol.File.Urls:output_type -> com.ruijc.storage.core.file.UrlsRsp
	17, // 17: com.ruijc.storage.protocol.File.Delete:output_type -> com.ruijc.storage.core.file.DeleteRsp
	9,  // [9:18] is the sub-list for method output_type
	0,  // [0:9] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_com_ruijc_storage_protocol_file_proto_init() }
func file_com_ruijc_storage_protocol_file_proto_init() {
	if File_com_ruijc_storage_protocol_file_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_com_ruijc_storage_protocol_file_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_com_ruijc_storage_protocol_file_proto_goTypes,
		DependencyIndexes: file_com_ruijc_storage_protocol_file_proto_depIdxs,
	}.Build()
	File_com_ruijc_storage_protocol_file_proto = out.File
	file_com_ruijc_storage_protocol_file_proto_rawDesc = nil
	file_com_ruijc_storage_protocol_file_proto_goTypes = nil
	file_com_ruijc_storage_protocol_file_proto_depIdxs = nil
}
